package cn.zyjblogs.design.strategy.demo1;

public class Cat implements Comparable<Cat>{
    int weight;
    int height;

    public Cat(int weight, int height) {
        this.weight = weight;
        this.height = height;
    }

    /**
     * 对猫的体重进行排序
     * @param c
     * @return
     */
    @Override
    public int compareTo(Cat c) {
        if(this.weight < c.weight) return -1;
        else if (this.weight > c.weight) return 1;
        else return 0;
    }

    @Override
    public String toString() {
        return "Cat{" +
                "weight=" + weight +
                ", height=" + height +
                '}';
    }


}
