package cn.zyjblogs.design.abstrsctfactory;

public class MagicFactory extends AbstractFactory{
    @Override
    Food createFood() {
        return new MushRoom();
    }

    @Override
    Vehicle createVehicle() {
        return new Plane();
    }

    @Override
    Weapon createWeapon() {
        return new MagicStick();
    }
}
