package cn.zyjblogs.design.strategy.demo3;

import java.lang.reflect.InvocationTargetException;

public class Person {
    public static void main(String[] args) {
        Gun gun = new Gun(new DefaultFireStrategy());
        gun.fire();
        Gun gun1 = new Gun(new RifleFireStrategy());
        gun1.fire();
        Gun gun2= new Gun(new GunSniperFireStrategy());
        gun2.fire();
        //lamdba表达式
        Gun gun3= new Gun((a)-> a.shoot("机枪"));
        gun3.fire();
        //反射
        try {
            Class<?> aClass = Class.forName("cn.zyjblogs.design.strategy.demo3.GunSniperFireStrategy");
            GunSniperFireStrategy n = (GunSniperFireStrategy)aClass.getDeclaredConstructor().newInstance();
            Gun gun4 = new Gun(n);
            gun4.fire();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
